using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;

namespace HotelContracts.BusinessLogicsContracts;

public interface IMaitreLogic
{
    List<MaitreViewModel>? ReadList(MaitreSearchModel? model);
    MaitreViewModel? ReadElement(MaitreSearchModel model);
    bool Create(MaitreBindingModel model);
    bool Update(MaitreBindingModel model);
    bool Delete(MaitreBindingModel model);
}